%define anolis_release 2

Name:           python-mdurl
Version:        0.1.2
Release:        %{anolis_release}%{?dist}
Summary:        Markdown URL utilities

License:        MIT
URL:            https://github.com/hukkin/mdurl
Source0:        %{url}/archive/%{version}/mdurl-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel


%global _description %{expand:
URL utilities for markdown-it parser.}


%description %_description

%package -n     python3-mdurl
Summary:        %{summary}

%description -n python3-mdurl %_description

%package -n     python3-mdurl-doc
Summary:        doc files for python3-mdurl
Requires:       python3-mdurl = %{version}-%{release}

%description -n python3-mdurl-doc
doc files for python3-mdurl

%prep
%autosetup -p1 -n mdurl-%{version}

# Remove coverage from the test requirements
sed -i "s/pytest-cov//" tests/requirements.txt


%generate_buildrequires
%pyproject_buildrequires tests/requirements.txt


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files mdurl


%check
%pytest


%files -n python3-mdurl -f %{pyproject_files}
%license LICENSE

%files -n python3-mdurl-doc
%doc README.md

%changelog
* Mon Mar 25 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 0.1.2-2
- Rebuild with python3.11

* Thu Mar 23 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.1.2-1
- Init upstream from version 0.1.2
